Bio::SeqFeature::SiRNA::Oligo(3)

NAME
Bio::SeqFeature::SiRNA::Oligo - Perl object for small inhibitory RNAs.

SYNOPSIS
  use Bio::SeqFeature::SiRNA::Oligo;

  my $oligo = Bio::SeqFeature::SiRNA::Oligo->
      new( -seq         => 'AUGCCGAUUGCAAGUCAGATT',
           -start       => 10,
           -end         => 31,
           -strand      => -1,
           -primary     => 'SiRNA::Oligo',
           -source_tag  => 'Bio::Tools::SiRNA',
           -tag         => { note => 'A note' }, );

  # normally two complementary Oligos are combined in an SiRNA::Pair
  # object
  $pair->antisense($oligo);

DESCRIPTION
Object methods for single SiRNA oligos - inherits Bio::SeqFeature::Generic. Does not include methods for designing SiRNAs - see Bio::Tools::SiRNA for that.

SEE ALSO
Bio::Tools::SiRNA, Bio::SeqFeature::SiRNA::Pair.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR
Donald Jackson (donald.jackson@bms.com)

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
  Title         : new
  Usage         : my $sirna_oligo = Bio::SeqFeature::SiRNA::Oligo->new();
  Function      : Create a new SiRNA::Oligo object
  Returns       : Bio::Tools::SiRNA object
  Args          : -seq            sequence of the RNAi oligo.  Should be in RNA alphabet
                                  except for the final TT overhang.
                  -start          start position
                  -end            end position
                  -strand         strand
                  -primary        primary tag - defaults to 'SiRNA::Oligo'
                  -source         source tag
                  -score          score value
                  -tag            a reference to a tag/value hash
                  -seq_id         the display name of the sequence
                  -annotation     the AnnotationCollectionI object
                  -location       the LocationI object

Currently passing arguments in gff_string or gff1_string is not supported. SiRNA::Oligo objects are typically created by a design algorithm such as Bio::Tools::SiRNA

  seq
  Title         : Seq
  Usage         : my $oligo_sequence = $sirna_oligo->seq();
  Purpose       : Get/set the sequence of the RNAi oligo
  Returns       : Sequence for the RNAi oligo
  Args          : Sequence of the RNAi oligo (optional)
  Note          : Overloads Bio::SeqFeature::Generic seq method - the oligo and
                  parent sequences are different.
                  Note that all but the last 2 nucleotides are RNA (per Tuschl and colleagues).
                  SiRNA::Pair objects are typically created by a design algorithm such as
                  Bio::Tools::SiRNA.